package it.integry.integrywmsnative.core.expansion;

import androidx.databinding.ObservableArrayList;
import androidx.databinding.ObservableList;

public abstract class OnListGeneralChangedCallback extends ObservableList.OnListChangedCallback {


    @Override
    public void onItemRangeChanged(ObservableList sender, int positionStart, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeInserted(ObservableList sender, int positionStart, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeMoved(ObservableList sender, int fromPosition, int toPosition, int itemCount) {
        onChanged(sender);
    }

    @Override
    public void onItemRangeRemoved(ObservableList sender, int positionStart, int itemCount) {
        onChanged(sender);
    }


}
